Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1517443

Summary: Captive portal detector opened wrong URL
Product: [Fedora] Fedora Reporter: fednuc <fedora2018q2>
Component: gnome-shellAssignee: Owen Taylor <otaylor>
Status: NEW --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 28CC: alexl, bgalvani, dcbw, fgiudici, fmuellner, gnome-sig, john.j5live, lkundrak, mclasen, otaylor, rhughes, rstrode, sandmann, thaller
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description fednuc 2017-11-25 12:01:37 UTC
I was greeted this morning with a (GNOME?) portal login window that had opened http://nmcheck.gnome.org/.

I'm not sure if there was a network blip or not (though my ISP's stats graph doesn't show any outages overnight), but that URL is wrong in two ways:

* GNOME's commectivity checker endpoint is http://nmcheck.gnome.org/check_network_status.txt (not the domain root).
* Fedora AFAIK is supposed to be using http://fedoraproject.org/static/hotspot.txt , according to /usr/lib/NetworkManager/conf.d/20-connectivity-fedora.conf

I'm guessing the window *stayed* open because the expected response wasn't received, since it was a directory index instead of "NetworkManager is online" (GNOME config.) or "OK" (Fedora config.), so the checker assumed it was a portal login page.

I don't know if this is a Fedora-specific, GNOME or NetworkManager bug then TBH.

Anecdotally, someone on #fedora on IRC said they saw exactly the same thing on F27 yesterday.

Comment 1 Thomas Haller 2017-11-27 09:39:54 UTC
Looks also like https://bugzilla.gnome.org/show_bug.cgi?id=790826

Comment 2 fednuc 2018-06-28 11:50:52 UTC
This happened again today on Fedora 28 Workstation, on 2 different machines, 3 separate accounts, exactly as described above.